import 'package:flutter/material.dart';

import 'app_colors.dart';
import 'styles_text.dart';

class AppTheme {
  static ThemeData get lightThem {
    return ThemeData(
      brightness: Brightness.light,
      primaryColor: AppColors.primary1,
      backgroundColor: AppColors.background1,
      scaffoldBackgroundColor: AppColors.background1,
      visualDensity: VisualDensity.adaptivePlatformDensity,
      fontFamily: AppFont.appFont,
      indicatorColor: AppColors.white,
      inputDecorationTheme: const InputDecorationTheme(
        labelStyle: TextStyle(color: Colors.black),
        hintStyle: TextStyle(color: Colors.grey),
      ),
      textSelectionTheme: TextSelectionThemeData(
        cursorColor: AppColors.primary1,
        selectionColor: AppColors.neutral2,
        selectionHandleColor: AppColors.neutral2,
      ),
      colorScheme: ColorScheme.fromSwatch().copyWith(
        primary: AppColors.primary1,
        onSurface: Colors.black,
      ),
      splashColor: Colors.transparent,
      highlightColor: Colors.transparent,
      hoverColor: Colors.transparent,
    );
  }
}
